/**
 * 存放代码中用到的一些全局变量名称之类的配置
 * nh 2021.12.23
 */
export class logicConfig {
    //在sessionStorage中存放用户ID的值的key的名称
    private static _tokenKeyName = 'tokenId';
    public static get tokenKeyName() {
        return this._tokenKeyName;
    }

    //路由名称配置
    private static _routerNameConfig={
        //登录页面路由名称
        loginRouteName:'/login',
        //系统图编辑器主页面路由名称
        systemGraphName:'/systemGraph',
        //系统图编辑页面路由名称
        systemGraphEditName:'/systemGraphEdit',
        // 现场交付工具-> CAD核查图纸管理路由
        cadDrawingManageRoute: 'cadDrawingManage'
    };
    public static get routerNameConfig() {
        return this._routerNameConfig;
    }

    //后台返回结果中，成功的定义和失败的定义
    private static _resultObj = {
        success: 'success',
        failure: 'failure'
    };
    public static get resultObj() {
        return this._resultObj;
    }
}